<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.22/css/jquery.dataTables.min.css">
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>
    <title>Poziv</title>
    <style>
        .forma button {
            margin: 50px;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="forma">
            <button onClick="call(1)">Tablica</button><br>
            <div id="tablica"></div><br>
            <button onClick="call(2)">Select</button><br>
            <div id="select"></div><br>
            <button onClick="call(3)">Checkbox</button><br>
            <div id="checkbox"></div><br>
            <button onClick="call(4)">radio</button><br>
            <div id="radio"></div><br>
            <button onClick="call(5)">Input</button><br>
            <div id="input"></div>
            <button onClick="call(6)">Datatables</button><br>
            <div id="datatables"></div>
        </div>
    </div>
</body>
<script>
    var url = "https://dev.vub.zone/sandbox/router.php";
    var inData = { "projekt": "p_common", "procedura": "p_zupanije" };


    function call(broj) {
        $.ajax({
            type: 'POST',
            url: url,
            data: inData,
            success: function (data) {
                var jsonBody = JSON.parse(data);
                var errcode = jsonBody.h_errcode;
                var message = jsonBody.h_message;
                var count = jsonBody.count;

                var izlaz = inicijalizacija(broj);

                if (message == null || message == "", errcode == null || errcode == 0) {
                    if (broj == 6) {
                       document.getElementById("datatables").innerHTML = izlaz; 
                       $("#example").DataTable({
                           data: jsonBody.data,
                           "columns":[
                               {"data":"ID"},
                               {"data":"ZUPANIJA"}
                           ]

                       })
                       console.log(jsonBody.data);
                       
                    } else {
                        $.each(jsonBody.data, function (key) {
                            //console.log(jsonBody.data[key]);
                            //console.log(jsonBody.data[key].ID + ' ' + jsonBody.data[key].ZUPANIJA);
                            //switch(expression) 
                            //console.log(broj);
                            izlaz += generiraj(broj, jsonBody.data[key].ID, jsonBody.data[key].ZUPANIJA);
                            //console.log(izlaz); 
                        })
                    }
                    zatvori(broj, izlaz);
                }
            },
            error: function (xhr, textStatus, error) {
                console.log(xhr.statusText);
                console.log(textStatus);
                console.log(error);
            },
            async: false

        })

    }

    function inicijalizacija(broj) {
        switch (broj) {
            case 1:
                return "<table class=\"table table-hover\"><tr><td>ID</td><td>Zupanija</td></tr>";
                break;
            case 2:
                return "<select class=\"form-control\">";
                break;
            case 3:
                return "";
                break;    
            case 4:
                return "";
                break;                    
            case 5:
                return "";
                break;                                    
            case 6:
                return "<table id=\"example\" class=\"display\" style=\"width:100%\">" +  
                       "<tr><th>ID</th><th>ZUPANIJA</th></tr>" + 
                       "</table>";    
            default:
                return "Nepoznata forma 1";
        }
    }

    function generiraj(broj, i_ID, i_Zupanija) {
        switch (broj) {
            case 1:
                return "<tr><td>" + i_ID + "</td>" + "<td>" + i_Zupanija + "</td></tr>";
                break;
            case 2:
                return "<option value=" + i_ID + ">" + i_Zupanija + "</option>";
                break;
            case 3:
                return "<input type=\"checkbox\" value=" + i_ID + "> " + i_Zupanija + "<br>";
                break;    
            case 4:
                return "<input type=\"radio\" value="+ i_ID + '"' + " name=\"zupanija\"" + "> " + i_Zupanija + "<br>";
                break;        
            case 5:
                return "<input type=\"text\" size=\"50\" placeholder=" + '"' + i_Zupanija + '"' + " ID=" + i_ID + ">" + "<br><br>";
                break;        
            default:
                return "Nepoznata forma 2";
        }

    }

    function zatvori(broj, ulaz) {
        switch (broj) {
            case 1:
                document.getElementById("tablica").innerHTML = ulaz + "</table>";
                break;
            case 2:
                document.getElementById("select").innerHTML = ulaz + "</select>";
                break;
            case 3:
                document.getElementById("checkbox").innerHTML = ulaz;
                break;    
            case 4:
                document.getElementById("radio").innerHTML = ulaz;
                break;        
            case 5:
                document.getElementById("input").innerHTML = ulaz;
                break;                        
            default:
                return "Nepoznata forma 2";
        }

    }
</script>

</html>